# WeatherChangeEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.weather, class: WeatherChangeEvent

Package org.bukkit.event.weather

# Class WeatherChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.weather.WeatherEvent
org.bukkit.event.weather.WeatherChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class WeatherChangeEvent extends WeatherEvent implements Cancellable
Stores data for weather changing in a world

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`WeatherChangeEvent.Cause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.weather.WeatherEvent

`world`

## Constructor Summary

Constructors
Constructor
Description
`WeatherChangeEvent(@NotNull World world, boolean to)`
Deprecated.
`WeatherChangeEvent(@NotNull World world, boolean to, @NotNull WeatherChangeEvent.Cause cause)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull WeatherChangeEvent.Cause`
`getCause()`
Gets the cause of the weather change.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`boolean`
`toWeatherState()`
Gets the state of weather that the world is being set to

### Methods inherited from class org.bukkit.event.weather.WeatherEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeatherChangeEvent

public WeatherChangeEvent(@NotNull @NotNull World world, boolean to, @NotNull @NotNull WeatherChangeEvent.Cause cause)

### WeatherChangeEvent

@Deprecated public WeatherChangeEvent(@NotNull @NotNull World world, boolean to)
Deprecated.

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### toWeatherState

public boolean toWeatherState()
Gets the state of weather that the world is being set to

Returns:
  true if the weather is being set to raining, false otherwise

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getCause

@NotNull public @NotNull WeatherChangeEvent.Cause getCause()
Gets the cause of the weather change.

Returns:
  the weather change cause